%global momorel 1

Name:           mate-applets
Version:        1.21.0
Release:        %{momorel}m%{?dist}
Group:          User Interface/Desktops
Summary:        MATE Desktop panel applets
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org

Source0:     http://pub.mate-desktop.org/releases/1.21/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires: libgtop2-devel
BuildRequires: libnotify-devel
BuildRequires: libmateweather-devel >= 1.20
BuildRequires: libwnck-devel
#BuildRequires: libnm-gtk-devel
BuildRequires: libxml2-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: kernel-tools-libs-devel
BuildRequires: mate-common
BuildRequires: mate-settings-daemon-devel
BuildRequires: mate-desktop-devel
#BuildRequires: mate-icon-theme-devel
BuildRequires: mate-notification-daemon
BuildRequires: mate-panel-devel
BuildRequires: polkit-devel
BuildRequires: unique-devel
BuildRequires: pygobject3-devel
BuildRequires: startup-notification-devel
Buildrequires: upower-devel
Buildrequires: gucharmap-devel >= 11

%ifnarch s390 s390x sparc64
#BuildRequires: kernel-tools-libs-devel
%endif

Requires: hicolor-icon-theme

Provides: mate-netspeed
Obsoletes: mate-netspeed < 1.13

%description
MATE Desktop panel applets

%prep
%setup -q

# needed for git snapshots
#NOCONFIGURE=1 ./autogen.sh

%build
%configure   \
    --disable-schemas-compile                \
    --disable-static                         \
    --with-x                                 \
    --enable-polkit                          \
    --enable-networkmanager                  \
    --enable-ipv6                            \
    --enable-stickynotes                     \
    --libexecdir=%{_libexecdir}/mate-applets \
    --with-cpufreq-lib=cpupower

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}

%{make_install}

# remove of gsettings,convert file, no need for this in fedora
# because MATE starts with gsettings in fedora.
rm -f %{buildroot}%{_datadir}/MateConf/gsettings/stickynotes-applet.convert

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf %{buildroot}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/mate-cpufreq-selector
%{_libexecdir}/mate-applets
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.CPUFreqSelector.conf
%{_datadir}/help/*/mate*/*
%{_datadir}/mate-applets
%{_datadir}/mate-panel/applets
%{_datadir}/dbus-1/services/org.mate.panel.applet.CommandAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TimerAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.AccessxStatusAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BattstatAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CharpickerAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.DriveMountAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.GeyesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.StickyNotesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TrashAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateWeatherAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MultiLoadAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CPUFreqAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.NetspeedAppletFactory.service
%{_datadir}/dbus-1/system-services/org.mate.CPUFreqSelector.service
%{_datadir}/glib-2.0/schemas/org.mate.drivemount.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.battstat.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.charpick.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.geyes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.multiload.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.stickynotes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.cpufreq.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.command.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.timer.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.netspeed.gschema.xml
%{_datadir}/polkit-1/actions/org.mate.cpufreqselector.policy
%{_datadir}/icons/hicolor/*x*/*/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-eyes-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-sticky-notes-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-cpu-frequency-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-netspeed-applet.svg
%{_datadir}/mate/ui/accessx-status-applet-menu.xml
%{_datadir}/mate/ui/battstat-applet-menu.xml
%{_datadir}/mate/ui/charpick-applet-menu.xml
%{_datadir}/mate/ui/drivemount-applet-menu.xml
%{_datadir}/mate/ui/geyes-applet-menu.xml
%{_datadir}/mate/ui/stickynotes-applet-menu.xml
%{_datadir}/mate/ui/trashapplet-menu.xml
%{_datadir}/mate/ui/mateweather-applet-menu.xml
%{_datadir}/mate/ui/multiload-applet-menu.xml
%{_datadir}/mate/ui/cpufreq-applet-menu.xml
%{_datadir}/mate/ui/netspeed-menu.xml
#%%{_datadir}/pixmaps/mate-accessx-status-applet
#%%{_datadir}/pixmaps/mate-stickynotes
%{_datadir}/pixmaps/mate-cpufreq-applet


%changelog
* Sat Jul 21 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.21.0-1m)
- update to 1.21.0

* Mon Jun 18 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.20.2-1m)
- update to 1.20.2

* Fri Feb 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.20.0-1m)
- update to 1.20.0

* Thu Jan 18 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.19.4-1m)
- update to 1.19.4

* Tue Oct 03 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.19.2-1m)
- update to 1.19.2

* Tue Sep 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.19.1-1m)
- update to 1.19.1

* Sat Apr 08 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.18.1-1m)
- update to 1.18.1

* Wed Mar 15 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.18.0-1m)
- update to 1.18.0

* Mon Jan 16 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.17.0-2m)
- remove gtk2 from configure option

* Sat Dec 17 2016 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.17.0-1m)
- update to 1.17.0

* Sun Sep 25 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.16.0-1m)
- update 1.16.0

* Thu Sep 08 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.15.2-1m)
- update 1.15.2

* Sun Aug 14 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.15.1-1m)
- update 1.15.1

* Sun Jun 12 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.15.0-1m)
- update 1.15.0

* Sat Apr 09 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.14.0-1m)
- update 1.14.0

* Tue Apr 05 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.13.1-1m)
- update 1.13.1

* Wed Mar 23 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.13.0-1m)
- update 1.13.0

* Mon Dec 14 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.1-1m)
- update 1.12.1

* Sun Nov 15 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.0-1m)
- update 1.12.0

* Mon Jul 27 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.3-1m)
- update 1.10.3

* Sun Dec 21 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.9.0-2m)
- rebuild against upower-0.99.1-1m

* Wed Jul 16 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-1m)
- initial commit Momonga Linux

* Sat Jul 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.0-1
- update to 1.9.0 release
- remove gucharmap BR for GTK2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-2
- rebuild for libgtop2 soname bump

* Wed Mar 05 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Wed Feb 19 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.90-1
- update to 1.7.90

* Tue Feb 11 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> 1.7.2-0.1.git20140211.c3b48ea
- update to git snapshot from 2014.02.11
- add improved snapshot usage
- add gtksourceview2-devel BR for stickynotes
- update configure flags
- sort file section

* Sun Feb 09 2014 Dan Mashal <dan.mashal@fedoraproject.org> 1.7.1-1
- Update to 1.7.1

* Mon Jan 20 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> 1.7.0-1
- update to 1.7.0 release
- update BR's
- add --with-gnome --all-name for find language
- use modern 'make install' macro
- clean up file section
- build without gucharmap support
- update configure flags

* Wed Jan 1 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-1
- update to 1.6.2 release
- remove upstreamed upower patches

* Sun Nov 10 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-8
- improve upower-1.0 adjustments

* Thu Nov 07 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-7
- add patch for build against upower-1.0
- clean up BRs

* Fri Nov 01 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-6
- disable upower BR > f20, until we know to handle upower-1.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 02 2013 Dan Horák <dan[at]danny.cz> - 1.6.1-4
- kernel-tools-libs-devel isn't built on s390(x) and sparc64

* Sun Jun 02 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-3
- bump version

* Sun Jun 02 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-2
- activate cpufreq applet
- build against mate-character-map instead of gurchmap
- remove stickynotes-applet.convert gsettings convert file
- add runtime require hicolor-icon-theme
- use polkit-devel as BR
- add BR libICE-devel and libSM-devel
- sort files section

* Sat Apr 13 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.1-1
- Update to latest upstream release

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Tue Mar 12 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.2-2
- Add libnotify-devel and hard requires on libnotify. mate-notification-daemon was switched to libnotify.

* Mon Mar 11 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.2-1
- Update to latest upstream release

* Sun Feb 03 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-5
- Fix conflicts with gnome by adding libexec configure flag

* Sun Feb 03 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-4
- Fix dist tag
- Remove duplicate files
- Sort BRs in alphabetical order

* Sat Jan 26 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-3
- bump

* Sat Jan 26 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-2
- Add missing BR

* Fri Jan 25 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Initial build
